Package fr.gouv.vitam.common.model.administration

# Class VersionRetentionPolicyModel

java.lang.Object
fr.gouv.vitam.common.model.administration.VersionRetentionPolicyModel

public class VersionRetentionPolicyModel extends Object

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `static final String`
  `TAG_VERSION_RETENTION_POLICY_INITIAL_VERSION`
  `static final String`
  `TAG_VERSION_RETENTION_POLICY_INTERMEDIARY_VERSION`
  `static final String`
  `TAG_VERSION_RETENTION_POLICY_USAGES`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `VersionRetentionPolicyModel()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `boolean`
  `getInitialVersion()`
  `VersionUsageModel.IntermediaryVersionEnum`
  `getIntermediaryVersion()`
  `Set<VersionUsageModel>`
  `getUsages()`
  `void`
  `setInitialVersion(boolean initialVersion)`
  `void`
  `setIntermediaryVersion(VersionUsageModel.IntermediaryVersionEnum intermediaryVersion)`
  `VersionRetentionPolicyModel`
  `setUsages(Set<VersionUsageModel> usages)`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Field Details

  - ### TAG_VERSION_RETENTION_POLICY_INITIAL_VERSION

    public static final String TAG_VERSION_RETENTION_POLICY_INITIAL_VERSION
    See Also:
      - Constant Field Values

  - ### TAG_VERSION_RETENTION_POLICY_INTERMEDIARY_VERSION

    public static final String TAG_VERSION_RETENTION_POLICY_INTERMEDIARY_VERSION
    See Also:
      - Constant Field Values

  - ### TAG_VERSION_RETENTION_POLICY_USAGES

    public static final String TAG_VERSION_RETENTION_POLICY_USAGES
    See Also:
      - Constant Field Values

- ## Constructor Details

  - ### VersionRetentionPolicyModel

    public VersionRetentionPolicyModel()

- ## Method Details

  - ### getUsages

    public Set<VersionUsageModel> getUsages()

  - ### setUsages

    public VersionRetentionPolicyModel setUsages(Set<VersionUsageModel> usages)

  - ### getInitialVersion

    public boolean getInitialVersion()

  - ### setInitialVersion

    public void setInitialVersion(boolean initialVersion)

  - ### getIntermediaryVersion

    public VersionUsageModel.IntermediaryVersionEnum getIntermediaryVersion()

  - ### setIntermediaryVersion

    public void setIntermediaryVersion(VersionUsageModel.IntermediaryVersionEnum intermediaryVersion)